<?php
$szMapFile = 'test_wfsquery.map';
$szModule = 'php_mapscript_42.so';
$nTimeout = 120;

set_time_limit( $nTimeout );
if (!extension_loaded("MapScript")) dl($szModule);
$oMap = ms_newMapObj( $szMapFile, dirname( $szMapFile ) );
$oMap->selectoutputformat("png");

//$img = $oMap->draw();

$oLayer = $oMap->getLayer( 0 );
$nResults = 0;

echo "querying layer ".$oLayer->name." on extents ";
print_r($oMap->extent);

$oLayer->queryByRect($oMap->extent);
$nResults = $oLayer->getNumResults(); 

if ($nResults > 0)
{
    $oLayer->open();
    for( $i=0; $i<$nResults; $i++ )
    {
        $oResult = $oLayer->getResult($i);
        $oShape = $oLayer->getShape($oResult->tileindex, $oResult->shapeindex);
        array_push( $aszFeatures, $oShape->values ); 
    }
    $oLayer->close();
    print_r($aszFeatures);
}
else
{
    echo "doh!";
}
?>
